const { createEnquiry, getmeta, createUser, login , getFile, getproject, contactus, subscribe} = require("./controller");
const router = require("express").Router();
const { checkToken } = require("../auth/token_validation");

//? Router Implementation: Here we can create specific endpoints 
// router.post("/brands/:slug", checkToken, getFile);

// router.post("/enquiry", checkToken, createEnquiry);
// router.get("/enquiry/fetchmeta/:metasource", checkToken, getmeta);
// router.post("/enquiry/user", checkToken, createUser);
// router.post("/enquiry/login", login);

router.post("/", checkToken, createEnquiry);
router.post("/contactus", checkToken, contactus);
router.get("/fetchmeta/:metasource", checkToken, getmeta);
router.post("/user", checkToken, createUser);
router.post("/login", login);
router.get("/subscribe/:email",checkToken, subscribe);

module.exports = router;
